ArtifactResolution.ArtifactResolutionRequestContext (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml1
Class ArtifactResolution.ArtifactResolutionRequestContext

    java.lang.Object
      org.opensaml.ws.message.BaseMessageContext
          org.opensaml.common.binding.BasicSAMLMessageContext<InboundMessage,OutboundMessage,NameIdentifierType>
              edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext<RequestType,ResponseType,org.opensaml.saml1.core.NameIdentifier,ProfileConfigurationType>
                  edu.internet2.middleware.shibboleth.idp.profile.saml1.BaseSAML1ProfileRequestContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml1.ArtifactResolutionConfiguration>
                      edu.internet2.middleware.shibboleth.idp.profile.saml1.ArtifactResolution.ArtifactResolutionRequestContext

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.attribute.AttributeRequestContext, edu.internet2.middleware.shibboleth.common.profile.ProfileRequestContext<edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml1.ArtifactResolutionConfiguration>, edu.internet2.middleware.shibboleth.common.profile.provider.SAMLProfileRequestContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml1.ArtifactResolutionConfiguration>, org.opensaml.common.binding.SAMLMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>, org.opensaml.saml1.binding.SAML1ArtifactMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>, org.opensaml.ws.message.MessageContext

Enclosing class:
  ArtifactResolution

    public class ArtifactResolution.ArtifactResolutionRequestContext

extends BaseSAML1ProfileRequestContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml1.ArtifactResolutionConfiguration>
implements org.opensaml.saml1.binding.SAML1ArtifactMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>

Represents the internal state of a SAML 1 Artifact resolver request while it's being processed by the IdP.

Constructor Summary
`ArtifactResolution.ArtifactResolutionRequestContext()`

Method Summary
`Collection<String>` | `getArtifacts()`
`Collection<org.opensaml.saml1.core.Assertion>` | `getDereferencedAssertions()` Gets the SAML assertions referenced by the artifact(s).
`void` | `setArtifacts(Collection<String> encodedArtifacts)`
`void` | `setDereferencedAssertions(Collection<org.opensaml.saml1.core.Assertion> assertions)` Sets the SAML assertions referenced by the artifact(s).

Methods inherited from class edu.internet2.middleware.shibboleth.idp.profile.saml1.BaseSAML1ProfileRequestContext
`getFailureStatus, setFailureStatus`

Methods inherited from class edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext
`getAttributes, getMessageDecoder, getMessageEncoder, getNameIdentifierAttribute, getPrincipalAuthenticationMethod, getPrincipalName, getProfileConfiguration, getReleasedAttributes, getRelyingPartyConfiguration, getRequestedAttributesIds, getUserSession, setAttributes, setMessageDecoder, setMessageEncoder, setNameIdentifierAttribute, setPrincipalAuthenticationMethod, setPrincipalName, setProfileConfiguration, setReleasedAttributes, setRelyingPartyConfiguration, setRequestedAttributes, setUserSession`

Methods inherited from class org.opensaml.common.binding.BasicSAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, isIssuerAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from class org.opensaml.ws.message.BaseMessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.common.binding.SAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from interface org.opensaml.ws.message.MessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, isIssuerAuthenticated, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Constructor Detail

### ArtifactResolution.ArtifactResolutionRequestContext

    public ArtifactResolution.ArtifactResolutionRequestContext()

Method Detail

### getArtifacts

    public Collection<String> getArtifacts()

  Specified by:
    `getArtifacts` in interface `org.opensaml.saml1.binding.SAML1ArtifactMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>`

### setArtifacts

    public void setArtifacts(Collection<String> encodedArtifacts)

  Specified by:
    `setArtifacts` in interface `org.opensaml.saml1.binding.SAML1ArtifactMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>`

### getDereferencedAssertions

    public Collection<org.opensaml.saml1.core.Assertion> getDereferencedAssertions()

  Gets the SAML assertions referenced by the artifact(s).

  Specified by:
    `getDereferencedAssertions` in interface `org.opensaml.saml1.binding.SAML1ArtifactMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>`
  Returns:
    SAML assertions referenced by the artifact(s)

### setDereferencedAssertions

    public void setDereferencedAssertions(Collection<org.opensaml.saml1.core.Assertion> assertions)

  Sets the SAML assertions referenced by the artifact(s).

  Specified by:
    `setDereferencedAssertions` in interface `org.opensaml.saml1.binding.SAML1ArtifactMessageContext<org.opensaml.saml1.core.Request,org.opensaml.saml1.core.Response,org.opensaml.saml1.core.NameIdentifier>`
  Parameters:
    `assertions` - SAML assertions referenced by the artifact(s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.